#! /usr/bin/perl

use strict;
use warnings;

my $var1	= 0;
my $var2	= 0;
my $var3	= 0;
my $i		= 0;
my $N		= 5;

### *** subroutines ***

# Subroutines are parts of the program that allow for an easy reuse 
# of the code.
# They reduce the length of the code, improve readability, and greatly
# help in debugging.

for ($i = $N; $i > 0; $i--)
{
	$var1	= $i;
	$var2	= $N;
	
	# Call the subroutine "AddTwoNumbers".
	# Pass two parameters and store returned value in $var3.
	#
	$var3	= &AddTwoNumbers($var1, $var2);
	
	print $var3."\n";
}


### Define subroutine "AddTwoNumbers"
###
sub AddTwoNumbers
{
	my $num1	= shift;
	my $num2	= shift;
	
	my $num3	= 0;
	
	$num3	= $num1 + $num2;
	
	return $num3;
}

print "\n";
print "Exiting. Please, press enter.\n";
<STDIN>;
exit(0);
