#! /usr/bin/perl


# With the exception of the above line, anything that follows the # character 
# is considered a comment. Comments are ignored by the Perl interpreter. 
# You can use multiple # characters. Make comments short, clear, and 
# describe only the non-obvious.

# The interpreter also ignores empty lines and excessive blank spaces.
# Use them to your advantage - make your code as readable as possible.

# The very first line in this script indicates the location of the 
# interpreter that will be used to run this script. Use "which perl" on 
# Unix-based systems to identify the location of the interpreter, and 
# modify the line if needed. On Windows systems this line will be ignored, 
# and the ".pl" extension will be used by the system to run the script.


### *** print ***
###

# Send text to screen:
#
print "Hello, World!\n";

# Or, if your text is long:
#
print "Hello";
print " ";
print "again!";
print 
		"\n"
		;

# The " character delimits text string.
# The \n special character is a new line character, and moves the cursor to 
# the next line.
# The ; character ends a command (not a line) - use one command per line 
# if feasible.
# Please, note, the very first line in this script does not end with 
# a semicolon.


### *** exit ***
###

# It is a good habit to end your script with the exit command:
#
exit(0);

# Subsequent commands will not be executed, e.g.:
#
print "Howdy!\n";

# Capitalization matters in Perl - "print" and "Print" are not the same.
