#! /usr/bin/perl

use strict;
use warnings;


my $var1	= 0;
my $var2	= 0;
my $var3	= 0;
my $str1	= "";
my $str2	= "";
my %hash1	= ();


$var1			= 1;
$var2			= 2;
$var3			= 2;
$str1			= "k1";
$str2			= "v2";
$hash1{"k1"}	= "v1";


print "\$var1: ".$var1."\n";
print "\$var2: ".$var2."\n";
print "\$var3: ".$var3."\n";
print "\$str1: ".$str1."\n";
print "\$str2: ".$str2."\n";
print "\n";

### Step 1
###
print "Step 1\n";
print "\n";

if ($var1 > $var2)
{
	print "\$var1 is greater than \$var2\n";
}

# $var1 is not greater than $var2 but we don't get any information 
# on the screen.

<STDIN>;


### Step 2
###
print "Step 2\n";
print "\n";

if ($var1 > $var2)
{
	print "\$var1 is greater than \$var2\n";
}
else
{
	print "\$var1 is not greater than \$var2\n";
}
print "\n";

<STDIN>;


### Step 3
###
print "Step 3\n";
print "\n";

if ($var2 > $var3)
{
	print "\$var2 is greater than \$var3\n";
}
elsif ($var2 < $var3)
{
	print "\$var2 is smaller than \$var3\n";
}
else
{
	print "\$var2 is equal to \$var3\n";
}
print "\n";

<STDIN>;


### Step 4
###
print "Step 4\n";
print "\n";

# Let's check if $var1 and $var2 are equal.
#
# Ouch!
#
if ($var1 = $var2)
{
	print "\$var1 is equal to \$var2\n";
}
else
{
	print "\$var1 is not equal to \$var2\n";
}

print "\$var1: ".$var1."\n";
print "\$var2: ".$var2."\n";
print "\n";
<STDIN>;


### Step 5
###
print "Step 5\n";
print "\n";

if ($var1 == $var2)
{
	print "\$var1 is equal to \$var2\n";
}
else
{
	print "\$var1 is not equal to \$var2\n";
}
print "\n";

# Equality operators:
# ==, !=, >, >=, <, <=, <=>
# For string variables, use (respectively):
# eq, ne, gt, ge, lt, le, cmp

<STDIN>;


### Step 6
###
print "Step 6\n";
print "\n";

if (($var1 == $var2) and ($var2 == $var3))
{
	print "The condition is true\n";
}
else
{
	print "The condition is false\n";
}
print "\n";

# Logical operators:
# and (&&), or (||), not
#
# Warning - these are binary operators:
# &, | 

<STDIN>;


### Step 7
###
print "Step 7\n";
print "\n";

if (defined $hash1{$str1})
{
	print "Key \$str1 = $str1 is defined in hash \%hash1...\n";
	if ($hash1{$str1} eq $str2)
	{
		print "...and the value is equal to \$str2 = $str2.\n";
	}
	else
	{
		print "...but the value is different than \$str2 = $str2.\n";
		print "The value is $hash1{$str1}.\n";
	}
}
else
{
	print "Key $str1 is not defined\n";
}

# Always make sure an entry in array or hash is defined before performing 
# any operation on that value.

print "\n";
print "Exiting. Please, press enter.\n";
<STDIN>;
exit(0);
